import { Vector3 } from "@minecraft/server";
import AbstractAgentTrackMission from "../../Commandeer/level/abstractTrackFollowMission";
import { vector3 } from "../../Commandeer/utils/vectorUtils";

const Level1CommandBlockPos: Vector3 = vector3(2495, -1, 28);

const level1StartPosition: Vector3 = vector3(2487, -2, 36);
const level1AgentFacing: Vector3 = vector3(1, 0, 0);
const Level1EndPosition: Vector3 = vector3(2488, -2, 57);

const mission3part2: AbstractAgentTrackMission = new AbstractAgentTrackMission(
  "mission3part3",
  level1StartPosition,
  level1AgentFacing,
  Level1EndPosition,
  Level1CommandBlockPos
);

export default mission3part2;
